MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024710Open CASCADE[OCCT] OCCT:Codingpublic2014-03-11 16:382014-11-11 12:51
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024710: Avoid including Handle_Class.hxx headers except where necessary
DescriptionIn view of elimination of Handle_*.hxx header files "en masse" (see 0024709), we need to avoid including these headers except where actually necessary.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024709closedbugmaster Avoid generation of separate header files for Handle classes 

-  Notes
(0028202)
abv (manager)
2014-03-11 18:52

The fix is pushed to branch CR24710 (containing also minor fix on new compiler warning), please review
(0028205)
kgv (developer)
2014-03-11 21:07

Dear abv,

please confirm that the following change has been really intended:
--- a/src/Standard/Standard_Transient.hxx
+++ b/src/Standard/Standard_Transient.hxx
@@ -16,7 +16,7 @@
 #define _Standard_Transient_HeaderFile
 
 #ifndef _Handle_Standard_Transient_HeaderFile
-#include <Handle_Standard_Transient.hxx>
+#include <Standard_Transient.hxx>
 #endif
(0028209)
abv (manager)
2014-03-12 09:27

Oops, thank you for noticing! Now reverted, please check
(0028210)
kgv (developer)
2014-03-12 09:27

Please test the patch.
(0028240)
mkv (tester)
2014-03-12 18:24

Dear BugMaster,

Branch CR24710 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 53c4d37be847f786de05e850e141ce5b118f29ab

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 385392684 / 385720176
Total CPU difference: 47852.20999999999 / 43631.789999999986

Testing on Windows:
Total MEMORY difference: 430798536 / 430805176
Total CPU difference: 32523.59375 / 30425.75

There are not differences in images found by testdiff.

- Related Changesets
occt: master cb389a77
Timestamp: 2014-03-13 10:21:41
Author: abv
Committer: bugmaster
Details ] Diff ]
0024710: Avoid including Handle_Class.hxx headers except where necessary

Includes of Handle*.hxx headers replaced by include of corresponding class (where possible without redesign of the classes).

Minor correction against compiler warning (vc10 64-bit) in BOPAlgo

Remove double header inclusions

Correction of minor mistake
mod - src/Adaptor3d/Adaptor3d_HSurfaceTool.lxx Diff ] File ]
mod - src/AIS/AIS_Line.cxx Diff ] File ]
mod - src/AIS/AIS_TexturedShape.hxx Diff ] File ]
mod - src/Aspect/Aspect_DisplayConnection_Handle.hxx Diff ] File ]
mod - src/Aspect/Aspect_GraphicCallbackProc.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfPaveBlockListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_IndexedDataMapOfPaveBlockListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_IndexedMapOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_ListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_MapOfCommonBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_MapOfPaveBlock.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_SurfaceToolGen.lxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_HCurve2dToolGen.gxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_HCurve2dToolGen.lxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_HCurveToolGen.gxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_HCurveToolGen.lxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtCC.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtCF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtFF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtPC.hxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_NumLinearRegularSweep.hxx Diff ] File ]
mod - src/Contap/Contap_HContToolGen.gxx Diff ] File ]
mod - src/Contap/Contap_HCurve2dToolGen.gxx Diff ] File ]
mod - src/Contap/Contap_HCurve2dToolGen.lxx Diff ] File ]
mod - src/Font/Font_FTLibrary.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_CurveTool.gxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_Interpolate.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_ConstraintCommands.cxx Diff ] File ]
mod - src/GeomLib/GeomLib_Interpolate.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_ApproxCommands.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_MakeApprox.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CTexture.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MarkerImage.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MarkerImage_Handle.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_BCurveTool.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_BSurfaceTool.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Curve.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_CurveTool.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_CurveTool.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_SurfaceTool.lxx Diff ] File ]
mod - src/IFSelect/IFSelect_ActFunc.hxx Diff ] File ]
mod - src/Image/Image_PixMap_Handle.hxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_HCurveTool.gxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_HCurveTool.lxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_SurfaceTool.lxx Diff ] File ]
mod - src/Interface/Interface_StaticSatisfies.hxx Diff ] File ]
mod - src/Interface/Interface_ValueInterpret.hxx Diff ] File ]
mod - src/Interface/Interface_ValueSatisfies.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_HCurve2dTool.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_HCurve2dTool.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_HInterTool.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Intersection.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_PrmPrmIntersection.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_ValueInterpret.hxx Diff ] File ]
mod - src/Poly/FILES Diff ] File ]
rm - src/Poly/Handle_Poly_CoherentTriangulation.hxx Diff ] File ]
mod - src/Poly/Poly_CoherentTriangulation.hxx Diff ] File ]
mod - src/Poly/Poly_ListOfTriangulation.hxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApprox.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectedCurve.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectOnSurface.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_DataMapOfObjectOwners.hxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Wire.cxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_OperFunc.hxx Diff ] File ]
mod - src/Standard/Handle_Standard_Persistent.cxx Diff ] File ]
mod - src/Standard/Handle_Standard_Transient.cxx Diff ] File ]
mod - src/Standard/Standard_Persistent.cxx Diff ] File ]
mod - src/Standard/Standard_Persistent_proto.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_HLRShape.hxx Diff ] File ]
mod - src/TDF/TDF_AttributeIterator.hxx Diff ] File ]
mod - src/TestTopOpeTools/TestTopOpeTools_Mesure.cxx Diff ] File ]
mod - src/TopTools/TopTools_MutexForShapeProvider.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_DataMapOfShapeAppearance.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Geometry.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Node.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_DocumentStorageDriver.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-11 16:38 abv New Issue
2014-03-11 16:38 abv Assigned To => kgv
2014-03-11 16:38 abv Relationship added child of 0024709
2014-03-11 18:52 abv Note Added: 0028202
2014-03-11 18:52 abv Status new => resolved
2014-03-11 21:07 kgv Note Added: 0028205
2014-03-11 21:07 kgv Assigned To kgv => abv
2014-03-11 21:07 kgv Status resolved => assigned
2014-03-12 09:27 abv Note Added: 0028209
2014-03-12 09:27 abv Assigned To abv => kgv
2014-03-12 09:27 abv Status assigned => resolved
2014-03-12 09:27 kgv Note Added: 0028210
2014-03-12 09:27 kgv Assigned To kgv => bugmaster
2014-03-12 09:27 kgv Status resolved => reviewed
2014-03-12 09:28 kgv Severity minor => integration request
2014-03-12 11:20 mkv Assigned To bugmaster => mkv
2014-03-12 18:24 mkv Note Added: 0028240
2014-03-12 18:24 mkv Test case number => Not needed
2014-03-12 18:24 mkv Assigned To mkv => bugmaster
2014-03-12 18:24 mkv Status reviewed => tested
2014-03-17 11:21 bugmaster Changeset attached => occt master cb389a77
2014-03-17 11:21 bugmaster Status tested => verified
2014-03-17 11:21 bugmaster Resolution open => fixed
2014-04-04 12:06 abv Target Version 6.7.1 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker